diff scripts/genconfig.sh @ 233:d4176f3f3835

Zap toys/Config.in and instead create generated/Config.in from contents of toys/*.c. Move relevant info into comment at the top of each toys/*.c. Also convert more of Makefile into a thin wrapper around shell scripts that actually do the work. (Makefile is only still there for the user interface.)
author Rob Landley <rob@landley.net>
date Sat, 19 Jan 2008 17:08:39 -0600
parents
children 4f1ca01db000
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/scripts/genconfig.sh	Sat Jan 19 17:08:39 2008 -0600
@@ -0,0 +1,16 @@
+#!/bin/bash
+
+mkdir -p generated
+
+function genconfig()
+{
+  for i in $(echo toys/*.c | sort)
+  do
+    # Grab the config block for Config.in
+    echo "# $i"
+    sed -n '/^\*\//q;/^config [A-Z]/,$p' $i || exit 1
+    echo
+  done
+}
+
+genconfig > generated/Config.in